%define pkgconfigdir	%_datadir/pkgconfig

%define qtxdglibdevel	%mklibname qtxdg -d
%define libnamedevel	%mklibname  %name -d
#define	git		0eae6a9
#define _minor		329
#define _version	0.4.0

Name:		razorqt
Version:	0.4.1
Release:	%mkrel 3
License:	LGPLv2+
#Source0:	https://github.com/downloads/Razor-qt/razor-qt/%{name}-%{version}.tar.bz2
#Source0:	Razor-qt-razor-qt-%{_version}-%{_minor}-g%{git}.zip
Source0:	http://razor-qt.org/misc/%{name}-%{version}-mainmenu.tgz
Patch0:		%{name}-config-mouse-desktop.patch
Patch1:		%{name}-autosuspend-desktop.patch
Group:		Graphical desktop/Other
Summary:	Razor a lightweight desktop toolbox
Url:		http://razor-qt.org
BuildRequires:	cmake
BuildRequires:	file-devel
BuildRequires:	qt4-devel >= 4.6.0
BuildRequires:	qt4-linguist
BuildRequires:	libxcomposite-devel
BuildRequires:	udev-devel >= 128
BuildRequires:	doxygen
BuildRequires:	libxcursor-devel
BuildRequires:	desktop-file-utils
Requires:	%{name}-desktop = %{version}
Requires:	%{name}-panel = %{version}
Requires:	%{name}-session = %{version}
Requires:	%{name}-appswitcher = %{version}
Requires:	%{name}-runner = %{version}
Requires:	%{name}-config = %{version}
Requires:	%{name}-data = %{version}

#Suggests:	qterminal
#Suggests:	qxkb
#Suggests:	qastools
#Suggests:	juffed
#Suggests:	ptbatterysystemtray
Suggests:	qlipper
#Suggests:	screengrab

Obsoletes:	antico

%description
Razor-qt is an advanced, easy-to-use, and fast desktop environment based on 
Qt technologies. It has been tailored for users who value simplicity, speed, 
and an intuitive interface. 

%files
%doc README

#------------------------------------------------------------------------------

%define		librazormount_major 0
%define		librazormount %mklibname razormount %{librazormount_major}

%package -n	%librazormount
Summary:	RazorQt shared library
Group:		System/Libraries
License:	LGPLv2+

%description -n %librazormount
%{summary}

%files -n	%librazormount
%_libdir/librazormount.so.%{librazormount_major}*
%pkgconfigdir/razormount.pc

#------------------------------------------------------------------------------

%define		librazorqt_major 0
%define		librazorqt %mklibname razorqt %{librazorqt_major}

%package -n	%librazorqt
Summary:	RazorQt shared library
Group:		System/Libraries
License:	LGPLv2+

%description -n %librazorqt
%{summary}

%files -n	%librazorqt
%_libdir/librazorqt.so.%{librazorqt_major}*
%pkgconfigdir/razorqt.pc

#------------------------------------------------------------------------------

%define		librazorqxt_major 0
%define		librazorqxt %mklibname razorqxt %{librazorqxt_major}

%package -n	%librazorqxt
Summary:	Customized part of the libqxt library
Group:		System/Libraries
# BSD3 (gpl2 and gpl3 compatible, as from http://fedoraproject.org/wiki/Licensing#SoftwareLicenses)
License:	BSD

%description -n %librazorqxt
%{summary}

%files -n	%librazorqxt
%doc libraries/razorqxt/LICENSE
%_libdir/librazorqxt.so.%{librazorqxt_major}*
%pkgconfigdir/razorqxt.pc

#------------------------------------------------------------------------------

%define		libqtxdg_major 0
%define		libqtxdg %mklibname qtxdg %{libqtxdg_major}

%package -n	%libqtxdg
Summary:	Xdg manipulation library using Qt4
Group:		System/Libraries
# qiconloader.cpp and qiconloader_p.h -> lgplv2
# xdg* files -> lgplv2+
License:	LGPLv2+

%description -n %libqtxdg
%{summary}

%files -n	%libqtxdg
%_libdir/libqtxdg.so.%{libqtxdg_major}*

#--------------------------------------------------------------------

%package -n     %libnamedevel
Summary:	RazorQt development package
Group:		Development/Other
Requires:	%librazormount = %version-%release
Requires:	%librazorqt = %version-%release
Requires:	%librazorqxt = %version-%release
License:	GPLv2 and LGPLv2+

%description -n %libnamedevel
%{summary}

%files -n	%libnamedevel
%{_libdir}/librazor*.so
%{_includedir}/razor*/

#------------------------------------------------------------------------------

%package -n     %{qtxdglibdevel}
Summary:	Development files for QtXdg library
Group:		Development/Other
Requires:	%{libqtxdg} = %{version}-%{release}
License:	LGPLv2+

%description -n %{qtxdglibdevel}
%{summary}

%files -n	%{qtxdglibdevel}
%{_libdir}/libqtxdg.so
%{_includedir}/qtxdg/
%pkgconfigdir/qtxdg.pc

#--------------------------------------------------------------------

%package	appswitcher
Summary:	RazorQt application switcher
Group:		System/X11
Requires:	%{name}-data
License:	LGPLv2+

%description    appswitcher
%{summary}

%files		appswitcher
%{_bindir}/razor-appswitcher

#--------------------------------------------------------------------

%package	desktop
Summary:	RazorQt desktop
Group:		Graphical desktop/Other
Requires:	%{name}-data
License:	LGPLv2+

%description    desktop
%{summary}

%files		desktop
%{_bindir}/razor-desktop
%{_bindir}/razor-config-desktop
%{_libdir}/razor-desktop
%{_datadir}/applications/razor-config-desktop.desktop
%dir %{_datadir}/razor
%{_datadir}/razor/desktop.conf
%{_datadir}/razor/razor-desktop/

#--------------------------------------------------------------------

%package	panel
Summary:	RazorQt panel
Group:		Graphical desktop/Other
License:	LGPLv2+
Requires:	%{name}-data 
Requires:	xscreensaver

%description    panel
%{summary}

%files		panel
%{_bindir}/razor-panel
%{_libdir}/razor-panel/
%{_datadir}/razor/razor-panel/

#--------------------------------------------------------------------

%package	data
Summary:	RazorQt resources and shared data
Group:		Graphical desktop/Other

%description    data
%{summary}

%files		data
%{_datadir}/razor/razor.conf
%{_datadir}/razor/graphics/
%{_datadir}/razor/themes/
%config %_sysconfdir/xdg/menus/razor-applications.menu
%config %_sysconfdir/xdg/autostart/*.desktop
%{_datadir}/desktop-directories/razor*
%{_datadir}/librazorqt
%{_datadir}/qtxdg
%{_bindir}/razor-x11info
# temp files - it will be removed when it becomes part of upstream
%{_libdir}/razor-xdg-tools

#--------------------------------------------------------------------

%package	power
Summary:	RazorQt power application
Group:		Graphical desktop/Other
Requires:	%{name}-data
License:	LGPLv2+

%description    power
%{summary}

%files		power
%{_bindir}/razor-power
%{_bindir}/razor-autosuspend
%{_datadir}/razor/razor-power/*.qm
%{_datadir}/applications/razor-power.desktop
%{_datadir}/applications/razor-autosuspend.desktop
%{_iconsdir}/hicolor/scalable/apps/razor-autosuspend.svg

#--------------------------------------------------------------------

%package	runner
Summary:	RazorQt runner application
Group:		Graphical desktop/Other
Requires:	%{name}-data
License:	LGPLv2+

%description    runner
%{summary}

%files		runner
%{_bindir}/razor-runner
%{_datadir}/razor/razor-runner

#--------------------------------------------------------------------

%package	session
Summary:	RazorQt session
Group:		Graphical desktop/Other
Requires:	%{name}-data, openbox
License:	LGPLv2+

%description    session
%{summary}

%files		session
%{_bindir}/razor-session
%{_bindir}/razor-config-session
%{_bindir}/startrazor
%{_datadir}/applications/razor-config-session.desktop
%{_datadir}/razor/session*.conf
%{_datadir}/razor/razor-session/
%{_sysconfdir}/X11/wmsession.d/*

#--------------------------------------------------------------------

%package	config
Summary:	RazorQt config tools
Group:		Graphical desktop/Other
# razor-config-appearance --> LGPLv2+
# razor-config-mouse --> GPL2 or GPL3
License:	LGPLv2+ and GPLv2 or GPLv3

%description    config
%{summary}

%files		config
%{_bindir}/razor-config
%{_bindir}/razor-config-mouse
%{_bindir}/razor-config-appearance
%{_datadir}/applications/razor-config.desktop
%{_datadir}/applications/razor-config-mouse.desktop
%{_datadir}/applications/razor-config-appearance.desktop
%{_datadir}/razor/razor-config/

#--------------------------------------------------------------------

%prep
#%setup -q -n Razor-qt-razor-qt-%{git}
%setup -q
%patch0 -p1 -b .configmousedesktop
%patch1 -p1 -b .autosuspenddesktop

%build
%cmake_qt4
%make 

%install
%makeinstall_std -C build

install -D -d -m 755 %{buildroot}%_datadir/pkgconfig
mv %{buildroot}%{_libdir}/pkgconfig/*.pc %{buildroot}%_datadir/pkgconfig
rm -fr %{buildroot}%{_libdir}/pkgconfig

desktop-file-validate %{buildroot}%{_datadir}/applications/razor-config-desktop.desktop

#========================================
# Here we transform .desktop files to wmsession files, which chksession
# will again transform back to .desktop files :)
# ** Tnx to Anssi Hannula's patch **
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
for file in %{buildroot}%{_datadir}/xsessions/*.desktop; do
    name="$(sed -n 's,^Name=,,p' "$file")"
    comment="$(sed -n 's,^Comment=,,p' "$file")"
    tryexec="$(sed -n 's,^TryExec=,,p' "$file")"
    exec="$(sed -n 's,^Exec=,,p' "$file")"

    [ -n "$name" ] && [ -n "$comment" ] && [ -n "$exec" ] || exit 1

    # EXEC needs to be absolute for chksession
    case $tryexec in
    */*)    ;;
    *)    tryexec=%{_bindir}/$tryexec;;
    esac

    outfile=%{buildroot}%{_sysconfdir}/X11/wmsession.d/05$(basename $file .desktop)

    echo "NAME=$name" > $outfile
    [ -n "$tryexec" ] && echo "EXEC=$tryexec$exec" >> $outfile
    echo "DESC=$comment" >> $outfile
    echo "SCRIPT:" >> $outfile
    echo "exec %{_bindir}/$exec" >> $outfile

    rm -f $file %{buildroot}%{_datadir}/apps/kdm/sessions/$(basename $file)
done
#=======================



%changelog

* Sun Mar 25 2012 matteo <matteo> 0.4.1-3.mga2
+ Revision: 226344
- removed no more used patch
- new sources
  - Fixed bug mga#4665

* Wed Mar 07 2012 matteo <matteo> 0.4.1-2.mga2
+ Revision: 221238
- bumped release
- added mainmenu patch (bugfix mga#4665)

* Sun Feb 19 2012 matteo <matteo> 0.4.1-1.mga2
+ Revision: 211017
- replacing git archive with stable version archive
- razorqt obsoletes antico

* Tue Feb 07 2012 matteo <matteo> 0.4.1-0.git.204.mga2
+ Revision: 205708
- fixed razorqt-config-mouse desktop file
- fixed missing semicolon into razorqt-autosuspend desktop file
- new version 0.4.1 (fixes bug mga#3846 and upstream issue #106)
- added razor-power subpackage

* Sun Jan 15 2012 matteo <matteo> 0.4.0-6.mga2
+ Revision: 196408
- fixed obsoletes

* Sun Jan 15 2012 matteo <matteo> 0.4.0-5.mga2
+ Revision: 196374
- added desktop file patch and desktop file validation
- fixed razor-config-mouse license definition
- included razorqxt license as doc
- added some useful comment
- fixed release
- new sources (razor-autosospend relicensed to lgplv2+)
- subpackages descriptions fixed
- new sources
- removed unused define
- new sources
- back to original patch provided into bug 3845
- fixing no razor sessions into kdm
- Fixed bug 3845 (wmsession files)
  Partially fixed bug 3846 (license issues) - waiting for upstream to complete

* Mon Dec 19 2011 matteo <matteo> 0.4.0-4.mga2
+ Revision: 184445
- screengrab suggested

* Mon Dec 19 2011 matteo <matteo> 0.4.0-3.mga2
+ Revision: 184395
- qlipper added as suggests

* Mon Dec 19 2011 dmorgan <dmorgan> 0.4.0-2.mga2
+ Revision: 184198
- Use a better description

* Mon Dec 19 2011 matteo <matteo> 0.4.0-1.mga2
+ Revision: 184073
- fixed razorqt-appswitcher group
- fixed xcursor BR
- added xcursor-devel as br; more suggests added
- added doxygen as BR; added some Suggests
- spec file reviewed
- spec file cleaned
- fixed all Groups; replaced etc with _sysconfdir macro
- fixed Group
- imported package razorqt

